## nemo 3.8.5

=== debian/changelog ===
nemo (3.8.5-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 10:52:47 -0800

nemo (3.8.5-1) unstable; urgency=medium

  * New upstream release (3.8.3).
  * Disable testsuite
  * New upstream release (3.8.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:42 +0200

nemo (3.8.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.8.2).
  * add missed files to nemo-data.install

  [ Maximiliano Curia ]
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 May 2018 20:14:22 +0200

nemo (3.8.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.8.0).
  * Update debian/copyright.
  * update symbols

  [ Maximiliano Curia ]
  * New upstream release (3.8.1).
  * Bump Standards-Version to 4.1.4.
  * testsuite: Let dh_auto_test take care of starting the ninja tests
  * Update install files
  * Enable hardening bindnow
  * Drop dh_makeshlibs override, no longer needed
  * Drop no longer neede installmime call
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:20 +0200

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 cinnamon-l10n (>= 3.8),
 debhelper (>= 11.1~),
 dh-python,
 gobject-introspection,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 3.8),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgtk-3-dev (>= 3.9.10),
 libgtk-3-doc,
 libnotify-dev (>= 0.7.0),
 libselinux1-dev,
 libx11-dev,
 libxapp-dev (>= 1.0.4),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 meson (>= 0.40.0),
 python3,
 python3-gi,
 x11proto-core-dev,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
Breaks: nemo-python (<< 3.8)

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.9.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.
Breaks: nemo-fileroller (<< 3.8), nemo-python (<< 3.8)

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.8),
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libcinnamon-desktop4 (>= 3.8),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 libxapp1 (>= 1.2),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 cinnamon-l10n (>= 3.8),
 gvfs-backends,
 gvfs-fuse,
 librsvg2-common,
 nemo-fileroller (>= 3.8),
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
Breaks: cinnamon (<< 3.8), cinnamon-core (<< 3.8~), nemo-fileroller (<< 3.8)

Package: nemo-data
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Replaces: nemo (<< 3.6.5-1~)
Breaks: nemo (<< 3.6.5-1~)
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

=== debian/rules ===
#!/usr/bin/make -f

# Force UTF8 to workaround build error
export LC_ALL=C.UTF-8

CONFIGURE_EXTRA_FLAGS = \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/nemo \
	-D deprecated_warnings=false \
	-D gtk_doc=true \
	-D selinux=true

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow


%:
	dh $@ --with python3,gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	# Disabled
	:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_python3:
	dh_python3 -p nemo-data /usr/share/nemo

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

## nemo 3.8.6+tara

=== debian/changelog ===
nemo (3.8.6+tara) tara; urgency=medium

  [ Michael Webster ]
  * nemo-icon-canvas-item.c: Insert some space between the icon and label bounds in compact view.
  * nemo-query-editor.c: don't intercept keys when hidden.
  * nemo-places-sidebar.c: Fix a few issues with mounting/ejecting - some incorrect _finish functions and some assumptions of error always being set.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Sep 2018 14:52:55 +0100

nemo (3.8.5) tara; urgency=medium

  [ Michael Webster ]
  * eel-gtk-extensions.c: Fix menu popups when a valid event is not provided.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Jul 2018 09:43:41 +0200

nemo (3.8.4) tara; urgency=medium

  [ Michael Webster ]
  * nemo-progress-info.c: Emit signals in proper order to prevent an unmatched g_application_hold/release in nemo-progress-ui-handler.c.
  * eel-gtk-extensions.c: use gtk_menu_popup_at_pointer instead of plain gtk_menu_popup, which is deprecated (and causes a lot of warnings under wayland.  Functionality under x11 is unchanged.
  * nemo-file.c: fix a couple pixbuf leaks, invalidate thumbnails internally when a force refresh is commanded.
  * various: fix some memory leaks discovered by valgrind.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Jul 2018 11:39:39 +0200

nemo (3.8.3) tara; urgency=medium

  [ Michael Webster ]
  * trash:  Show the correct icon in the pathbar, and fix activation uri for folders located in the trash.
  * icons: Fix pathbar display of recent and network locations.
  * Run merge_action_strings (updated icons names)
  * nemo-query-editor.c: Ignore modifiers (such as numlock)  during the favorites menu popup event.
  * nemo-query-editor.c: use get_default_mod_mask for button state check instead of hardcoded mask.
  * mounts: Force reload when navigating to a new mount from the sidebar.
  * thumbnails: Make debug spam a runtime choice, not buildtime.

  [ NikoKrause ]
  * Change polkit policy message to "Files" (#1875)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2018 11:54:40 +0100

nemo (3.8.2) tara; urgency=medium

  [ Michael Webster ]
  * nemo-places-sidebar.c: Fix potential divide by 0 (found in virtualbox, guest additions CD returns a GFileInfo, but the size fields we use for calculating disk full % come back all 0's.)
  * nemo-places-sidebar.c: Fix some leaks - GFiles must be unreffed.
  * nemo-list-view.c: Fix list view column ordering for LMDE (fixes segfault in Gtk 3.22.11)
  * nemo-icon-container.c: chain the button release event up when ending a rubberband selection.  This allows the canvas to 'pick' the icon the release is over, and not cause the background context menu to be used (and all items get deselected) if the very next event is a right-click.

  [ Soapux ]
  * Make exempi and libexif dependencies optional (#1849)
  * Update style of meson build options (#1850)

  [ Michael Webster ]
  * Disallow bookmarking of search result views.

  [ NikoKrause ]
  * add symbolic for usb and replace bookmark-not-found (#1852)

  [ Germán Franco ]
  * Fix some compiler warnings (#1851)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 15:31:26 +0100

nemo (3.8.1) tara; urgency=medium

  [ Fabio Fantoni ]
  * update debian/copyright (#1831)

  [ Eli Schwartz ]
  * meson: don't install libnemo-private.a

  [ Clement Lefebvre ]
  * l10n: Fix typo

  [ Michael Webster ]
  * symbolic control icons: Use icon names rather than gicons.  The gicon api does not support inherited icon themes.

  [ NikoKrause ]
  * Use symbolic icons in nemo-desktop actions
  * add mount archive symbolic, fix bookmark icon

  [ Michael Webster ]
  * mime actions: Fix use of gvfs admin backend.
  * nemo-view.c: Disallow creation of folders or files in admin:// - it does not properly set file permissions (the same reason copy/paste is not allowed either.)
  * nemo-file-utilities.c: Improve symbolic icon logic for mounts, drives and volumes.  For mounts and volumes, check for too-generic icons and use the backing GDrive's icon instead.
  * nemo-places-sidebar.c: Handle missing file info more gracefully. Some mounted devices (for example, phones,) don't support GFileInfo.

  [ NikoKrause ]
  * fix symbolic for desktop action (#1842)

  [ Maximiliano Curia ]
  * Revert license tweak done by db6414a (#1843)

  [ Salamandar ]
  * Fix build with old meson (#1844)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Apr 2018 15:23:58 +0100

nemo (3.8.0) tara; urgency=medium

  [ Tobias Göbel ]
  * also use exec-arg from org.cinnamon.desktop.default-applications.terminal when using "open in terminal"

  [ Michael Webster ]
  * nemo-icon-view-grid-container.c: add missing position shift prior snapping a semi-positioned icon.  This was causing the free position check to potentially check the wrong grid spot, causing shifting positions.
  * nemo-icon-dnd.c: when calculating drop position, use the overall canvas item's y center, rather than just the icon's center.  This is makes the final aligned position more closely match the drag actor's apparent position.
  * nemo-desktop-manager: scale the window x and y positions, as well as size when retrieving geometry from cinnamon.
  * nemo-icon-dnd.c: fix missing semicolon
  * nemo-icon-view-grid-container.c: Don't allow the vertical adjustment to calculate out to more than half of the grid snap height, this will cause grid checks to evaluate incorrectly.
  * nemo-icon-container: only mark (pseudo)-desktop icons as transient if keep_align is active.  This restores reasonable behavior for non-keep-aligned desktops, and prevents icon movement when refreshing and during startup.

  [ Jason Hicks ]
  * Fix left pane in dual pane mode reverting to minimum width
  * Add g_return_val_if_fail to the beginning of reposition_paned

  [ Bilal Elmoussaoui ]
  * Rename Nemo icon from places to nemo (#1687)

  [ Michael Webster ]
  * debian/control: remove python3-polib from build deps, no longer needed.


## nemo 4.0.6

=== debian/changelog ===
nemo (4.0.6-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.{4,6}).

  [ Maximiliano Curia ]
  * Add a basic gbp.conf
  * Add a debian/salsa-ci.yml file
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:52 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: nemo
 Section: misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
- cinnamon-l10n (>= 3.8),
+ cinnamon-l10n (>= 4.0),
  debhelper (>= 11.1~),
  dh-python,
  gobject-introspection,
  gtk-doc-tools (>= 1.4),
  intltool (>= 0.40.1),
  libatk1.0-dev (>= 1.32.0),
- libcinnamon-desktop-dev (>= 3.8),
+ libcinnamon-desktop-dev (>= 4.0),
  libexempi-dev (>= 2.2.0),
  libexif-dev (>= 0.6.20),
  libgail-3-dev,
@@ -27,7 +26,7 @@
  libnotify-dev (>= 0.7.0),
  libselinux1-dev,
  libx11-dev,
- libxapp-dev (>= 1.0.4),
+ libxapp-dev (>= 1.4),
  libxext-dev,
  libxml2-dev (>= 2.7.8),
  libxrender-dev,
@@ -52,7 +51,7 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
-Breaks: nemo-python (<< 3.8)
+Breaks: nemo-python (<< 4.0)
 
 Package: libnemo-extension-dev
 Architecture: any
@@ -84,30 +83,30 @@
  desktop. It works on local and remote filesystems.
  .
  This package contains the shared library needed by the nemo extensions.
-Breaks: nemo-fileroller (<< 3.8), nemo-python (<< 3.8)
+Breaks: nemo-fileroller (<< 4.0), nemo-python (<< 4.0)
 
 Package: nemo
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- cinnamon-desktop-data (>= 3.8),
+ cinnamon-desktop-data (>= 4.0),
  desktop-file-utils (>= 0.7),
  gsettings-desktop-schemas,
  gvfs (>= 1.3.2),
- libcinnamon-desktop4 (>= 3.8),
+ libcinnamon-desktop4 (>= 4.0),
  libglib2.0-data,
  libnemo-extension1 (= ${binary:Version}),
- libxapp1 (>= 1.2),
+ libxapp1 (>= 1.4),
  nemo-data (= ${source:Version}),
  shared-mime-info (>= 0.50),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- cinnamon-l10n (>= 3.8),
+ cinnamon-l10n (>= 4.0),
  gvfs-backends,
  gvfs-fuse,
  librsvg2-common,
- nemo-fileroller (>= 3.8),
+ nemo-fileroller (>= 4.0),
 Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
 Description: File manager and graphical shell for Cinnamon
  Nemo is the official file manager for the Cinnamon desktop. It allows one
@@ -117,7 +116,7 @@
  .
  Several icon themes and components for viewing different kinds of files
  are available in separate packages.
-Breaks: cinnamon (<< 3.8), cinnamon-core (<< 3.8~), nemo-fileroller (<< 3.8)
+Breaks: cinnamon (<< 4.0), cinnamon-core (<< 4.0~), nemo-fileroller (<< 4.0)
 
 Package: nemo-data
 Architecture: all

## nemo 4.0.6+tessa

=== meson_options.txt ===
option('deprecated_warnings', type : 'boolean', value : false,
       description: 'Show compiler warnings about deprecated features')
option('exif', type : 'boolean', value : true,
       description: 'EXIF parsing support (requires libexif)')
option('xmp', type : 'boolean', value : true,
       description: 'XMP support (requires Exempi)')
option('gtk_doc', type : 'boolean', value : false,
       description: 'Generate API reference (requires GTK-Doc)')
option('selinux', type : 'boolean', value : false,
       description: 'SELinux support')
option('empty_view', type : 'boolean', value : false,
       description: 'Enable empty view')
option('tracker',type : 'combo', choices : ['true', 'false', 'auto'], value : 'false',
       description: 'Tracker support')
option('profiling', type : 'boolean', value : false,
       description: 'keep frame pointers (for profiling purposes)')

=== debian/changelog ===
nemo (4.0.6+tessa) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Depend on cinnamon-l10n

  [ Michael Webster ]
  * nemo-program-choosing.c: add a wrapper for simple .desktop files that invoke pkexec.
  * nemo-desktop-overlay.c: Don't respond to slider value-changed signals when syncing *from* the view.
  * nemo-list-view.c: Always display at the default list view zoom level during a search.
  * nemo-icon-view.c: Don't rely on the default icon zoom level for the grid desktop, hardcode to normal instead.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Dec 2018 14:00:23 +0000

nemo (4.0.5) tessa; urgency=medium

  [ Michael Webster ]
  * nemo-icon-view.c: Correctly initialize to the default view zoom level when ignore-metadata mode is active.
  * per-folder thumbnails: Remove toolbar thumbnail button preference, instead base visibility on the show-image-thumbnails preference.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:26:20 +0000

nemo (4.0.4) tessa; urgency=medium

  [ Michael Webster ]
  * nemo-window.c: Fix hidden menu alt-key activation.
  * nemo-places-sidebar.c: Keep the selected bookmark scrolled into view when a selection is made on a bookmark.
  * nemo-list-view.c:  Ignore triple-clicks and reset the double-click last_click_time when the current double-click succeeds.
  * nemo-extension-config-widget.c: Allow description to be multi-line instead of reverting to a horizontal scroll bar.
  * nemo-list-view.c: Don't use fixed-height mode, it does not work well with zoom changes.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:18:32 +0000

nemo (4.0.3) tessa; urgency=medium

  [ Michael Webster ]
  * nemo-action.c: Don't include previously inserted characters/text in subsequent token matching - skip ahead based on the inserted text length, so we avoid potentially parsing escape codes that are part of a file's uri.
  * places and tree sidebars: Listen for action manager reloads, rebuild popup menus when needed.
  * places sidebar: Enable actions to work properly even when the item being right-clicked/context-menu'd is not the currently loaded view.
  * nemo-tree-sidebar.c: Fix memory leak.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 17:20:40 +0000

nemo (4.0.2) tessa; urgency=medium

  [ Michael Webster ]
  * nemo-file-management-properties.c: Don't drop builder object ref until the window is closed, as callbacks to setting changes refer to it still.

  [ itzexor ]
  * desktop/extension config: remove incorrect tooltips

  [ Michael Webster ]
  * nemo-desktop-overlay.c: Don't use g_clear_pointer to destroy a widget, this causes build warnings in newer glib.
  * nemo-properties-window.c: If the icon picker is spawned on a file that has an existing custom icon name or path, display it initially in the picker.
  * nemo-window-manage-views.c: When clearing thumbnails for a view refresh, drop the NemoIconInfo cache as well.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 09:51:30 +0000

nemo (4.0.1) tessa; urgency=medium

  [ Michael Webster ]
  * nemo-application.c: Check for "nemo" in the current theme, instead of "nemo-window". Remove unintentional additions to nemo-style- application.css which were made in 21a960712bf4d7688.
  * nemo-desktop: Simplify view layout preferences, other changes.
  * desktop overlay: Use normal window hints instead of hidden.  Allow resizing, assign an icon (and use XAppGtkWindow so the icon isn't blurry). Make sure all the action names are not marked as translate. Show the monitor plug name and dimensions when displaying view settings.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Nov 2018 15:10:50 +0000

nemo (4.0.0) tessa; urgency=medium

  [ Michael Webster ]
  * Version bump for dev.
  * libnemo-extension: Refactor a bit, replace a lot of boilerplate with macros, simplify doc generation.  Documentation needs more work at some point.
  * nemo-file.c: Do a better job of figuring out the mimetype for empty files.
  * Add creation time (btime) support.
  * preferences window: Add toggle for creation date in tooltips.
  * nemo-file-info.h: Don't use G_DECLARE_INTERFACE - it doesn't allow us to properly use NemoFile for its vtable - it works but throws a ton of build warnings and isn't safe.
  * misc: Clean up build warnings
  * icon view: remove some deprecated paths (gtk doesn't return anything useful anymore.)
  * nemo-icon-canvas-item.c: Insert some space between the icon and label bounds in compact view.
  * nemo-statusbar.c: Remove custom scroll handler.  The gtk one works correctly now.
  * menus: Respect the gtk-menu-images preference for the primary 'open/ open-with' menu item.
  * meson.build: Add option to disable omit-frame-pointers from build (useful for perf profiling.)
  * icon container: Generate tooltips for icon items on-demand, instead of when the view loads.
  * meson.build: show profiling flag status in config summary.
  * nemo-icon-info: Optimize icon lookups by GIcon.
  * search: Respect the current state of the 'show hidden files' setting when calculating results.
  * nemo-query-editor.c: don't intercept keys when hidden.
  * nemo-view.c: Decrease minimum update interval.
  * nemo-view: Optimize *_get_selection(), don't create deep copies when not necessary.
  * nemo-file: Remove pixbuf cached in NemoFile.
  * nemo-list-model.c: Improve accounting for dummy expander row, so it more reliably removes the expander for empty folders.
  * nemo-file.c: Cache some heavily used values from date construction, particularly caching of the GTimeZone object for use in GDateTime construction.
  * icon view: Remove "tighter layout" option.
  * nemo-icon-info: don't implement as a gobject.
  * nemo-mime-actions.c: Don't offer the 'Make executable and run' option by default.
  * nemo-mime-application-chooser.c: Remove hacks for file-picker button.
  * nemo-icon-canvas-item: Remove some unused code for embedded text


## nemo 4.0.6-2pearl7

=== debian/changelog ===
nemo (4.0.6-2pearl7) rolltide; urgency=medium

  * changed nemo icon from folder to file-manager
  * changed deps from file-roller to engrampa and nemo-engrampa

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 05 Jul 2019 11:03:37 +0100

nemo (4.0.6-1~bionic0) bionic; urgency=medium

  * New upstream release

 -- embrosyn <embrosyn@netc.eu>  Mon, 18 Mar 2019 01:03:37 +0100

nemo (4.0.6) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Depend on cinnamon-l10n

  [ Michael Webster ]
  * nemo-program-choosing.c: add a wrapper for simple .desktop files that invoke pkexec.
  * nemo-desktop-overlay.c: Don't respond to slider value-changed signals when syncing *from* the view.
  * nemo-list-view.c: Always display at the default list view zoom level during a search.
  * nemo-icon-view.c: Don't rely on the default icon zoom level for the grid desktop, hardcode to normal instead.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Dec 2018 14:00:23 +0000

nemo (3.8.6-1~bionic0) bionic; urgency=medium

  * New upstream release

 -- embrosyn <embrosyn@netc.eu>  Fri, 21 Sep 2018 18:34:37 +0200

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 cinnamon-l10n,
 debhelper (>= 10),
 dh-python,
 gobject-introspection,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 3.6),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgtk-3-dev (>= 3.9.10),
 libgtk-3-doc,
 libnotify-dev (>= 0.7.0),
 libx11-dev,
 libxapp-dev (>= 1.4.0),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 libxt-dev,
 meson,
 python,
 python3,
 python3-gi,
 shared-mime-info (>= 0.50),
 x11proto-core-dev,
Homepage: http://www.github.com/linuxmint/nemo/
Standards-Version: 3.9.5

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Conflicts: gir1.0-nemo-3.0
Replaces: gir1.0-nemo-3.0
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.9.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: libraries for nemo components - development version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libnemo-extension1a
Replaces: libnemo-extension1a
breaks: libnemo-extension1a
Description: libraries for nemo components - runtime version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains a few runtime libraries needed by nemo' extensions.

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data,
 cinnamon-l10n,
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libcinnamon-desktop4 (>= 2.6.1),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 libxapp1 (>= 1.4.0),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gvfs-backends,
 gvfs-fuse,
 librsvg2-common,
 nemo-engrampa,
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: file manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-data
Architecture: all
Depends: python, ${misc:Depends}, ${python:Depends}
Suggests: nemo
Description: data files for nemo
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

Package: nemo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: nemo (= ${binary:Version}), ${misc:Depends}
Replaces: libnemo-extension1-dbg
Description: file manager and graphical shell for Cinnamon - debugging version
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

## nemo 4.2.3

=== debian/changelog ===
nemo (4.2.3-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Oct 2019 12:04:59 -0700

nemo (4.2.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:28:35 +0900

nemo (4.2.3-1) experimental; urgency=medium

  * New upstream release (4.2.3).
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 11:01:45 +0900

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 cinnamon-l10n (>= 4.2),
 debhelper (>= 11.1~),
 dh-python,
 gobject-introspection,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 4.2),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgtk-3-dev (>= 3.9.10),
 libgtk-3-doc,
 libnotify-dev (>= 0.7.0),
 libselinux1-dev,
 libx11-dev,
 libxapp-dev (>= 1.4),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 meson (>= 0.40.0),
 python3,
 python3-gi,
 x11proto-core-dev,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
Breaks: nemo-python (<< 4.2)

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.9.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.
Breaks: nemo-fileroller (<< 4.2), nemo-python (<< 4.2)

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 4.2),
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libcinnamon-desktop4 (>= 4.2),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 libxapp1 (>= 1.4),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 cinnamon-l10n (>= 4.2),
 gvfs-backends,
 gvfs-fuse,
 librsvg2-common,
 nemo-fileroller (>= 4.2),
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
Breaks: cinnamon (<< 4.2), cinnamon-core (<< 4.2~), nemo-fileroller (<< 4.2)

Package: nemo-data
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Replaces: nemo (<< 3.6.5-1~)
Breaks: nemo (<< 3.6.5-1~)
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

## nemo 4.2.3+cindy

=== debian/changelog ===
nemo (4.2.3+cindy) tina; urgency=medium

  [ Michael Webster ]
  * nemo-query-editor.c: Don't allow activation when there is no valid search string.
  * nemo-window-slot.c: Don't try to set anything on query if it's NULL.
  * nemo-main-application.c: when parsing options, don't try to use part of an array that has already been freed, make a copy instead.
  * nemo-main-application.c: Fix variable name for consistency and spelling.
  * nemo-program-choosing.c: Update how desktop files are launched - launch_uris_as_manager does a better job, and this also replaces a previous patch for a pkexec issue in desktop files, and is a more complete fix.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Aug 2019 09:08:04 +0200

nemo (4.2.2) tina; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * nemo-desktop-link.c: Don't allow an attempt to rename mounts.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:28:21 +0200

nemo (4.2.1) tina; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Fix msgid
  * l10n: Fix msgids

  [ gm10 ]
  * Fix nemo_global_preferences_get_size_prefix_preference getting set to the wrong value (#2165)

  [ Michael Webster ]
  * nemo-file-operations.c: Add comment for unused singular translation, make the string obviously unused.
  * nemo-view.c: Always show the pin/unpin actions.
  * various: Fix a couple leaks
  * nemo-list-model.c: When the last child of a node is removed, Handle re-adding a dummy row (or not) in the file removed handler, instead of always adding one, then removing it on parent's subsequent changed call.
  * nemo-list-view.c: When triggering a rename using the 'slow double click' trigger, check whether the file is a folder to determine whether to select all or only non-extension text.
  * nemo-view.c: Use the stack for running the action visiblity cycle.
  * nemo-*-view.c: Update the selection info when a view has finished loading.

  [ Clement Lefebvre ]
  * Toolbar: Don't show thumbnail button by default

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 12:10:27 +0200

nemo (4.2.0) tina; urgency=medium

  [ Michael Webster ]
  * nemo-view.c: Don't ignore non-symbolic extension menu icons.
  * nemo-icon-view.c: Don't apply the 'ignore metadata' mode to the desktop, this prevents the icon size from loading or saving properly when that setting is active.
  * nemo-icon-info: Use different text widths for the desktop than for windowed mode.

  [ Leigh Scott ]
  * Update URL (#2045)

  [ Michael Webster ]
  * nemo-query-editor.c: Ignore leading and trailing whitespace in search query text.
  * misc: Fix some memory leaks revealed by valgrind.
  * Add keyboard shortcuts page
  * nemo-bookmarks-window.c: Fix support for Computer/Bookmarks section separator.
  * nemo-bookmarks-window: Remove help button, fix some breakpoint accounting during dnd.
  * nemo-view.c: Never have more than one connection to an action's 'activate' signal.
  * actions: Monitor gsettings condition changes and trigger menu updates when these or any dbus conditions change.
  * application: Add debug flag to command line options, remove environment variable-based verbose mode for actions.
  * nemo-action: Cleanup
  * nemo-blank-desktop-window.c: Fix initial popup menu failure due to a not-fully-initialized action manager.
  * nemo-action.c: Allow discovery of tokens in any order in an action line.
  * nemo-action.c: Queue gsettings condition updates (same as dbus updates). This should have been done in 92c58403f12436c65a1c.

  [ JosephMcc ]
  * Update nemo-style-fallback-mandatory.css

  [ devlearner ]
  * Add Move to Trash confirmation option

  [ Michael Webster ]
  * nemo-file-operations.c: Remove unused translatable string.

  [ Max Sistemich ]
  * nemo-window-manage-views.c: ignore cache when thumbnails are disabled

  [ Michael Webster ]
  * nemo-window-manage-views.c: add a weak pointer to the window slot's bad cache bar when spawned.
  * preferences: Finalize our settings instances using the eel_call_at_shutdown function.  This occurs at a point closer to exit, and allows handlers to disconnect cleanly.

  [ Lars Mueller ]
  * Reimplement thumbnailing-per-folder and add inheritance for view type
  * A couple of bugfixes

  [ Michael Webster ]
  * nemo-main-application.c: Make sure any command-line geometry option takes precedence over the saved window geometry.

  [ Clement Lefebvre ]
  * nemo-window-slot: Remove trailing spaces
  * Navigation: Fix go to parent action for Samba

  [ Michael Webster ]
  * nemo-window-slot.c: Use GString for manipulating samba uris, it makes what's being done to the uri a bit more explicit.
  * nemo-window-slot.c: (samba) When navigating up from a host, load network:/// instead of smb:///.
  * nemo-icon-container.c: Wait to un-freeze canvas updates until the renaming operation has completed.
  * nemo-file.c: Check for NULL when converting the raw file timestamp to a GDateTime.

  [ JosephMcc ]
  * desktop-prefs: Change to match the new cinnamon settings style

  [ Michael Webster ]
  * nemo-desktop-overlay.glade: Update to match new settings format. (mostly)

  [ steve ]
  * Nemo desktop entry - ensure caret-color matches text color

  [ okaestne ]
  * nemo-mime-application-chooser.c: escape file names in Open With tab

  [ Tcc100 ]
  * nemo-view.c: Open Terminal in parent if a file is selected

  [ Clement Lefebvre ]
  * Start implementing exec support
  * Optimize nemo_action_get_visibility()

  [ Michael Webster ]
  * nemo-action.c: Support multiple selection and action path for exec condition checks.
  * nemo-action.c: Support tokens in exec condition calls.
  * sample action:  Update to include exec conditions, new correct method to enable debugging.
  * Revert "nemo-file-operations.c: Remove unused translatable string."
  * Remove some unused code, optimize some frequently-used settings.
  * nemo-view.c: Clear a source id at the end of the rename delay callback.


## nemo 4.2.3+tina

=== debian/changelog ===
nemo (4.2.3+tina) tina; urgency=medium

  [ Michael Webster ]
  * nemo-query-editor.c: Don't allow activation when there is no valid search string.
  * nemo-window-slot.c: Don't try to set anything on query if it's NULL.
  * nemo-main-application.c: when parsing options, don't try to use part of an array that has already been freed, make a copy instead.
  * nemo-main-application.c: Fix variable name for consistency and spelling.
  * nemo-program-choosing.c: Update how desktop files are launched - launch_uris_as_manager does a better job, and this also replaces a previous patch for a pkexec issue in desktop files, and is a more complete fix.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Aug 2019 09:08:04 +0200

## nemo 4.4.2

=== meson_options.txt ===
--- 
+++ 
@@ -10,7 +10,5 @@
        description: 'SELinux support')
 option('empty_view', type : 'boolean', value : false,
        description: 'Enable empty view')
-option('tracker',type : 'combo', choices : ['true', 'false', 'auto'], value : 'false',
-       description: 'Tracker support')
 option('profiling', type : 'boolean', value : false,
        description: 'keep frame pointers (for profiling purposes)')

=== debian/changelog ===
nemo (4.4.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:44:44 +0900

nemo (4.4.2-1) experimental; urgency=medium

  * New upstream version 4.4.2

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 15:57:20 +0900

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: nemo
 Section: misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
- cinnamon-l10n (>= 4.2),
+ cinnamon-l10n (>= 4.4),
+ cmake,
  debhelper (>= 11.1~),
  dh-python,
  gobject-introspection,
  gtk-doc-tools (>= 1.4),
  intltool (>= 0.40.1),
  libatk1.0-dev (>= 1.32.0),
- libcinnamon-desktop-dev (>= 4.2),
+ libcinnamon-desktop-dev (>= 4.4),
  libexempi-dev (>= 2.2.0),
  libexif-dev (>= 0.6.20),
  libgail-3-dev,
@@ -26,6 +26,7 @@
  libgtk-3-dev (>= 3.9.10),
  libgtk-3-doc,
  libnotify-dev (>= 0.7.0),
+ libpango1.0-dev,
  libselinux1-dev,
  libx11-dev,
  libxapp-dev (>= 1.4),
@@ -53,7 +54,7 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
-Breaks: nemo-python (<< 4.2)
+Breaks: nemo-python (<< 4.4)
 
 Package: libnemo-extension-dev
 Architecture: any
@@ -85,17 +86,17 @@
  desktop. It works on local and remote filesystems.
  .
  This package contains the shared library needed by the nemo extensions.
-Breaks: nemo-fileroller (<< 4.2), nemo-python (<< 4.2)
+Breaks: nemo-fileroller (<< 4.4), nemo-python (<< 4.4)
 
 Package: nemo
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- cinnamon-desktop-data (>= 4.2),
+ cinnamon-desktop-data (>= 4.4),
  desktop-file-utils (>= 0.7),
  gsettings-desktop-schemas,
  gvfs (>= 1.3.2),
- libcinnamon-desktop4 (>= 4.2),
+ libcinnamon-desktop4 (>= 4.4),
  libglib2.0-data,
  libnemo-extension1 (= ${binary:Version}),
  libxapp1 (>= 1.4),
@@ -104,11 +105,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- cinnamon-l10n (>= 4.2),
+ cinnamon-l10n (>= 4.4),
  gvfs-backends,
  gvfs-fuse,
  librsvg2-common,
- nemo-fileroller (>= 4.2),
+ nemo-fileroller (>= 4.4),
 Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
 Description: File manager and graphical shell for Cinnamon
  Nemo is the official file manager for the Cinnamon desktop. It allows one
@@ -118,7 +119,7 @@
  .
  Several icon themes and components for viewing different kinds of files
  are available in separate packages.
-Breaks: cinnamon (<< 4.2), cinnamon-core (<< 4.2~), nemo-fileroller (<< 4.2)
+Breaks: cinnamon (<< 4.4), cinnamon-core (<< 4.4~), nemo-fileroller (<< 4.4)
 
 Package: nemo-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	:
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_strip --dbgsym-migration='nemo-dbg (<< 3.0.1-1~)' || dh_strip
 
 override_dh_python3:
 	dh_python3 -p nemo-data /usr/share/nemo

## nemo 4.4.3+tricia

=== debian/changelog ===
nemo (4.4.3+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * nemo-window-pane.c: Only show the active window-pane's toolbar when toggling toolbar visiblity.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 12:31:28 +0100

nemo (4.4.2) tricia; urgency=medium

  [ leigh123linux ]
  * meson.build: Disable GLib deprecation warnings

  [ Leigh Scott ]
  * file-operations: fix copying from the trash

  [ Michael Webster ]
  * list view: Don't remove the dummy (Loading) entry except during post-loading updates.
  * nemo-tree-sidebar.c: Don't free the NemoFile after setting up the context menu for showing, it is owned by the tree model.

  [ leigh123linux ]
  * Remove tracker

  [ Leigh Scott ]
  * nemo-icon-canvas-item.c: Don't hyphenate long filenames
  * eel-editable-label.c: Don't hyphenate long filenames

  [ Michael Webster ]
  * nemo-program-choosing.c: Remove unused variable that was causing a warning during the build.

  [ Leigh Scott ]
  * Use meson for pango-1.44 check

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Dec 2019 11:43:40 +0000

nemo (4.4.1) tricia; urgency=medium

  [ Michael Webster ]
  * nemo-desktop-metadata.c: Remove a key when the metadata string is null instead of attempting to set the key to null (which doesn't work for GKeyfiles).
  * nemo-window.c: Disconnect thumbnail settings handlers when the window is destroyed.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2019 20:00:39 +0000

nemo (4.4.0) tricia; urgency=medium

  [ Michael Webster ]
  * nemo-query-editor.c: Don't allow activation when there is no valid search string.
  * nemo-window-slot.c: Don't try to set anything on query if it's NULL.
  * nemo-main-application.c: when parsing options, don't try to use part of an array that has already been freed, make a copy instead.
  * nemo-main-application.c: Fix variable name for consistency and spelling.
  * nemo-program-choosing.c: Update how desktop files are launched - launch_uris_as_manager does a better job, and this also replaces a previous patch for a pkexec issue in desktop files, and is a more complete fix.
  * preferences: Reveal the default sort direction setting.

  [ AO-LocLab ]
  * Correction to the French translations (#2228)

  [ Michael Webster ]
  * context menu: Make individual menu item visibility configurable in preferences, and eliminate the simple/complex menu option.
  * gsettings: re-add old context menu entry to prevent crashes with old nemo-fileroller verions.

  [ Clement Lefebvre ]
  * l10n: Fix some msgids
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 15:34:24 +0100
